## drumkv1 0.9.12

=== CMakeLists.txt ===
project(DRUMKV1)

cmake_minimum_required(VERSION 3.1)

set (VERSION "0.9.12")

set (CONFIG_VERSION ${VERSION})
execute_process (
  COMMAND git describe --tags --dirty --abbrev=6
  OUTPUT_VARIABLE GIT_DESCRIBE_OUTPUT
  RESULT_VARIABLE GIT_DESCRIBE_RESULT
  OUTPUT_STRIP_TRAILING_WHITESPACE)
if (GIT_DESCRIBE_RESULT EQUAL 0)
  set (VERSION "${GIT_DESCRIBE_OUTPUT}")
  string (REGEX REPLACE "^[^_]+"   "" VERSION "${VERSION}")
  string (REGEX REPLACE "^[_vV]+"  "" VERSION "${VERSION}")
  string (REGEX REPLACE "-g"   "git." VERSION "${VERSION}")
  string (REGEX REPLACE "[_|-]+"  "." VERSION "${VERSION}")
  execute_process (
    COMMAND git rev-parse --abbrev-ref HEAD
    OUTPUT_VARIABLE GIT_REVPARSE_OUTPUT
    RESULT_VARIABLE GIT_REVPARSE_RESULT
    OUTPUT_STRIP_TRAILING_WHITESPACE)
  if (GIT_REVPARSE_RESULT EQUAL 0 AND NOT GIT_REVPARSE_OUTPUT STREQUAL "master")
    set (VERSION "${VERSION} [${GIT_REVPARSE_OUTPUT}]")
  endif ()
else ()
  set (VERSION "${VERSION}")
endif ()

set (PACKAGE_NAME "drumkv1")
set (PACKAGE_VERSION "${VERSION}")
set (PACKAGE_BUGREPORT "rncbc@rncbc.org")
set (PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
set (PACKAGE_TARNAME "drumkv1")

set (CONFIG_BUILD_VERSION "${PACKAGE_VERSION}")

if (CMAKE_BUILD_TYPE)
  set (CONFIG_BUILD_TYPE ${CMAKE_BUILD_TYPE})
else ()
  set (CONFIG_BUILD_TYPE "release")
endif ()

set (CONFIG_DEBUG 0)
if (CONFIG_BUILD_TYPE MATCHES "debug")
  set (CONFIG_DEBUG 1)
endif ()

set (CONFIG_PREFIX "${CMAKE_INSTALL_PREFIX}")

include (GNUInstallDirs)
set (CONFIG_BINDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_BINDIR}")
set (CONFIG_LIBDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
set (CONFIG_DATADIR "${CONFIG_PREFIX}/${CMAKE_INSTALL_DATADIR}")
set (CONFIG_MANDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_MANDIR}")


# Enable JACK standalone build.
option (CONFIG_JACK "Enable JACK stand-alone build (default=yes)" 1)

# Enable JACK session support.
option (CONFIG_JACK_SESSION "Enable JACK session support (default=yes)" 1)

# Enable JACK MIDI support option.
option (CONFIG_JACK_MIDI "Enable JACK MIDI support (default=yes)" 1)

# Enable ALSA MIDI support option.
option (CONFIG_ALSA_MIDI "Enable ALSA MIDI support (default=yes)" 1)

# Enable LV2 plugin build.
option (CONFIG_LV2 "Enable LV2 plug-in build (default=yes)" 1)

option (CONFIG_LV2_UI_X11 "Enable LV2 plug-in X11 UI support (default=yes)" 1)

option (CONFIG_LV2_UI_EXTERNAL "Enable LV2 plug-in External UI support (default=yes)" 1)

option (CONFIG_LV2_UI_IDLE "Enable LV2 UI Idle interface support (default=yes)" 1)

option (CONFIG_LV2_UI_SHOW "Enable LV2 UI Show interface support (default=yes)" 1)

option (CONFIG_LV2_UI_RESIZE "Enable LV2 UI Resize interface support (default=yes)" 1)

option (CONFIG_LV2_PROGRAMS "Enable LV2 plug-in Programs support (default=yes)" 1)

option (CONFIG_LV2_PATCH "Enable LV2 plug-in Patch support (default=yes)" 1)

# Enable liblo availability.
option (CONFIG_LIBLO "Enable liblo interface (default=yes)" 1)

# Enable NSM support.
option (CONFIG_NSM "Enable NSM support (default=yes)" 1)


# Fix for new CMAKE_REQUIRED_LIBRARIES policy.
if (POLICY CMP0075)
  cmake_policy (SET CMP0075 NEW)
endif ()

# Check for Qt
find_package (Qt5 REQUIRED COMPONENTS Core Gui Widgets Xml)

#find_package (Qt5LinguistTools)

include (CheckIncludeFile)
include (CheckIncludeFiles)
include (CheckIncludeFileCXX)
include (CheckFunctionExists)
include (CheckLibraryExists)

# Make sure we get some subtle optimizations out there...
add_compile_options (-ffast-math)

# Checks for header files.
if (UNIX AND NOT APPLE)
  check_include_files ("fcntl.h;unistd.h;signal.h" HAVE_SIGNAL_H)
endif ()


# Find package modules
find_package (PkgConfig REQUIRED)

# Check for SNDFILE libraries.
pkg_check_modules (SNDFILE REQUIRED sndfile)
if (SNDFILE_FOUND)
  set (CONFIG_SNDFILE 1)
  include_directories (${SNDFILE_INCLUDE_DIRS})
  link_directories (${SNDFILE_LIBRARY_DIRS})
  link_libraries (${SNDFILE_LIBRARIES})
# set (CMAKE_REQUIRED_LIBRARIES "${SNDFILE_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
else ()
  message (FATAL_ERROR "*** SNDFILE library not found.")
  set (CONFIG_SNDFILE 0)
endif ()

# Check for JACK libraries.
if (CONFIG_JACK)
  pkg_check_modules (JACK jack>=0.100.0)
  if (JACK_FOUND)
    include_directories (${JACK_INCLUDE_DIRS})
    link_directories (${JACK_LIBRARY_DIRS})
  # link_libraries (${JACK_LIBRARIES})
    set (CMAKE_REQUIRED_LIBRARIES "${JACK_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
    # Check for JACK MIDI headers availability.
    if (CONFIG_JACK_MIDI)
      check_include_file (jack/midiport.h HAVE_JACK_MIDIPORT_H)
      if (NOT HAVE_JACK_MIDIPORT_H)
        set (CONFIG_JACK_MIDI 0)
      endif ()
    endif ()
    # Check for JACK session headers availability.
    if (CONFIG_JACK_SESSION)
      check_include_file (jack/session.h HAVE_JACK_SESSION_H)
      if (NOT HAVE_JACK_SESSION_H)
        set (CONFIG_JACK_SESSION 0)
      endif ()
    endif ()
    # Check for JACK session event callback availability.
    if (CONFIG_JACK_SESSION)
      check_function_exists (jack_set_session_callback CONFIG_JACK_SESSION)
    endif ()
    # Check for ALSA libraries.
    if (CONFIG_ALSA_MIDI)
      pkg_check_modules (ALSA alsa)
      set (CONFIG_ALSA_MIDI ${ALSA_FOUND})
      if (CONFIG_ALSA_MIDI)
        include_directories (${ALSA_INCLUDE_DIRS})
        link_directories (${ALSA_LIBRARY_DIRS})
        link_libraries (${ALSA_LIBRARIES})
      # set (CMAKE_REQUIRED_LIBRARIES "${ALSA_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
      else ()
        message (WARNING "*** ALSA library not found.")
      endif ()
    endif ()
  else ()
    message (WARNING "*** JACK library not found.")
    set (CONFIG_JACK 0)
  endif ()
endif ()

if (NOT CONFIG_JACK)
  set (CONFIG_JACK_SESSION 0)
  set (CONFIG_JACK_MIDI 0)
  set (CONFIG_ALSA_MIDI 0)
  set (CONFIG_LIBLO 0)
  set (CONFIG_NSM 0)
endif ()

# Check for LIBLO libraries.
if (CONFIG_LIBLO)
  pkg_check_modules (LIBLO liblo)
  if (LIBLO_FOUND)
    include_directories (${LIBLO_INCLUDE_DIRS})
    link_directories (${LIBLO_LIBRARY_DIRS})
    link_libraries (${LIBLO_LIBRARIES})
  # set (CMAKE_REQUIRED_LIBRARIES "${LIBLO_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
  else ()
    message (WARNING "*** LIBLO library not found.")
    set (CONFIG_LIBLO 0)
  endif ()
endif ()

# Check for LV2 support.
if (CONFIG_LV2)
  pkg_check_modules (LV2 lv2)
  if (LV2_FOUND)
    include_directories (${LV2_INCLUDE_DIRS})
    link_directories (${LV2_LIBRARY_DIRS})
    link_libraries (${LV2_LIBRARIES})
  # set (CMAKE_REQUIRED_LIBRARIES "${LV2_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
    # Check for LV2 Atom support.
    check_include_file (lv2/lv2plug.in/ns/ext/atom/atom.h HAVE_LV2_ATOM_H)
    if (NOT HAVE_LV2_ATOM_H)
      set (CONFIG_LV2_ATOM 0)
    else ()
      set (CONFIG_LV2_ATOM 1)
    endif ()
    set (CONFIG_LV2_ATOM_FORGE_OBJECT ${CONFIG_LV2_ATOM})
    set (CONFIG_LV2_ATOM_FORGE_KEY ${CONFIG_LV2_ATOM})
    # Check for LV2 UI support.
    check_include_file (lv2/lv2plug.in/ns/extensions/ui/ui.h HAVE_LV2_UI_H)
    if (NOT HAVE_LV2_UI_H)
      set (CONFIG_LV2_UI 0)
    else ()
      set (CONFIG_LV2_UI 1)
    endif ()
    if (NOT CONFIG_LV2_UI)
      set (CONFIG_LV2_UI_X11 0)
      set (CONFIG_LV2_UI_EXTERNAL 0)
      set (CONFIG_LV2_UI_IDLE 0)
      set (CONFIG_LV2_UI_SHOW 0)
      set (CONFIG_LV2_UI_RESIZE 0)
    endif ()
  else ()
    message (WARNING "*** LV2 SDK not found.")
    set (CONFIG_LV2 0)
  endif ()
endif ()

# Check for LV2 headers.
if (CONFIG_LV2)
  set (LV2_INCLUDES ${CMAKE_CURRENT_SOURCE_DIR}/src/lv2)
  set (CMAKE_REQUIRED_INCLUDES "${LV2_INCLUDES};${CMAKE_REQUIRED_INCLUDES}")
  include_directories (${LV2_INCLUDES})
else ()
  set (CONFIG_LV2_UI_X11 0)
  set (CONFIG_LV2_UI_EXTERNAL 0)
  set (CONFIG_LV2_UI_IDLE 0)
  set (CONFIG_LV2_UI_SHOW 0)
  set (CONFIG_LV2_UI_RESIZE 0)
  set (CONFIG_LV2_PROGRAMS 0)
  set (CONFIG_LV2_PATCH 0)
endif ()

if (CONFIG_LV2_UI_EXTERNAL)
  check_include_file (lv2_external_ui.h HAVE_LV2_EXTERNAL_UI_H)
  if (NOT HAVE_LV2_EXTERNAL_UI_H)
    set (CONFIG_LV2_UI_EXTERNAL 0)
  endif ()
endif ()

if (CONFIG_LV2_PROGRAMS)
  check_include_file (lv2_programs.h HAVE_LV2_PROGRAMS_H)
  if (NOT HAVE_LV2_PROGRAMS_H)
    set (CONFIG_LV2_PROGRAMS 0)
  endif ()
endif ()

if (CONFIG_LV2_PATCH)
  check_include_file (lv2/lv2plug.in/ns/ext/patch/patch.h HAVE_LV2_PATCH_H)
  if (NOT HAVE_LV2_PATCH_H)
    set (CONFIG_LV2_PATCH 0)
  endif ()
endif ()


add_subdirectory (src)


configure_file (drumkv1.spec.in drumkv1.spec IMMEDIATE @ONLY)

install (FILES drumkv1.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
install (FILES drumkv1.fr.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/fr/man1 RENAME drumkv1.1)

# Configuration status
macro (SHOW_OPTION text value)
  if (${value})
    message ("${text}: yes")
  else ()
    message ("${text}: no")
  endif ()
endmacro ()


message   ("\n  ${PACKAGE_NAME} ${PACKAGE_VERSION}")
message   ("\n  Build target . . . . . . . . . . . . . . . . . . .: ${CONFIG_BUILD_TYPE}\n")
show_option ("  JACK stand-alone build . . . . . . . . . . . . . ." CONFIG_JACK)
show_option ("  JACK session support . . . . . . . . . . . . . . ." CONFIG_JACK_SESSION)
show_option ("  JACK MIDI support  . . . . . . . . . . . . . . . ." CONFIG_JACK_MIDI)
show_option ("  ALSA MIDI support  . . . . . . . . . . . . . . . ." CONFIG_ALSA_MIDI)
show_option ("  LV2 plug-in build  . . . . . . . . . . . . . . . ." CONFIG_LV2)
show_option ("  LV2 plug-in X11 UI support   . . . . . . . . . . ." CONFIG_LV2_UI_X11)
show_option ("  LV2 plug-in External UI support  . . . . . . . . ." CONFIG_LV2_UI_EXTERNAL)
show_option ("  LV2 plug-in UI Idle interface support  . . . . . ." CONFIG_LV2_UI_IDLE)
show_option ("  LV2 plug-in UI Show interface support  . . . . . ." CONFIG_LV2_UI_SHOW)
show_option ("  LV2 plug-in UI Resize interface support  . . . . ." CONFIG_LV2_UI_RESIZE)
show_option ("  LV2 plug-in Programs support . . . . . . . . . . ." CONFIG_LV2_PROGRAMS)
show_option ("  LV2 plug-in Patch support  . . . . . . . . . . . ." CONFIG_LV2_PATCH)
show_option ("  OSC service support (liblo)  . . . . . . . . . . ." CONFIG_LIBLO)
show_option ("  NSM (Non Session Management) support . . . . . . ." CONFIG_NSM)
message   ("\n  Install prefix . . . . . . . . . . . . . . . . . .: ${CMAKE_INSTALL_PREFIX}")
message   ("\nNow type 'make', followed by 'make install' as root.\n")

=== src/CMakeLists.txt ===
set(NAME drumkv1)

include_directories (
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)

configure_file (cmake_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

set (HEADERS
  drumkv1.h
  drumkv1_config.h
  drumkv1_filter.h
  drumkv1_formant.h
  drumkv1_resampler.h
  drumkv1_sample.h
  drumkv1_wave.h
  drumkv1_ramp.h
  drumkv1_list.h
  drumkv1_fx.h
  drumkv1_reverb.h
  drumkv1_param.h
  drumkv1_sched.h
  drumkv1_tuning.h
  drumkv1_programs.h
  drumkv1_controls.h
)

set (SOURCES
  drumkv1.cpp
  drumkv1_config.cpp
  drumkv1_formant.cpp
  drumkv1_resampler.cpp
  drumkv1_sample.cpp
  drumkv1_wave.cpp
  drumkv1_param.cpp
  drumkv1_sched.cpp
  drumkv1_tuning.cpp
  drumkv1_programs.cpp
  drumkv1_controls.cpp
)

qt5_wrap_cpp (MOC_SOURCES ${HEADERS})


set (HEADERS_UI
  drumkv1_ui.h
  drumkv1widget.h
  drumkv1widget_env.h
  drumkv1widget_filt.h
  drumkv1widget_sample.h
  drumkv1widget_wave.h
  drumkv1widget_param.h
  drumkv1widget_keybd.h
  drumkv1widget_preset.h
  drumkv1widget_status.h
  drumkv1widget_spinbox.h
  drumkv1widget_elements.h
  drumkv1widget_programs.h
  drumkv1widget_controls.h
  drumkv1widget_control.h
  drumkv1widget_palette.h
  drumkv1widget_config.h
)

set (SOURCES_UI
  drumkv1_ui.cpp
  drumkv1widget.cpp
  drumkv1widget_env.cpp
  drumkv1widget_filt.cpp
  drumkv1widget_sample.cpp
  drumkv1widget_wave.cpp
  drumkv1widget_param.cpp
  drumkv1widget_keybd.cpp
  drumkv1widget_preset.cpp
  drumkv1widget_status.cpp
  drumkv1widget_spinbox.cpp
  drumkv1widget_elements.cpp
  drumkv1widget_programs.cpp
  drumkv1widget_controls.cpp
  drumkv1widget_control.cpp
  drumkv1widget_palette.cpp
  drumkv1widget_config.cpp
)

set (FORMS_UI
  drumkv1widget.ui
  drumkv1widget_control.ui
  drumkv1widget_config.ui
)

set (RESOURCES_UI
  drumkv1.qrc
)

qt5_wrap_ui (UI_SOURCES_UI ${FORMS_UI})
qt5_wrap_cpp (MOC_SOURCES_UI ${HEADERS_UI})
qt5_add_resources (QRC_SOURCES_UI ${RESOURCES_UI})


set (HEADERS_LV2
  drumkv1_lv2.h
  drumkv1_lv2ui.h
  drumkv1widget_lv2.h
)

set (SOURCES_LV2
  drumkv1_lv2.cpp
  drumkv1_lv2ui.cpp
  drumkv1widget_lv2.cpp
)

qt5_wrap_cpp (MOC_SOURCES_LV2 ${HEADERS_LV2})


set (HEADERS_JACK
  drumkv1_nsm.h
  drumkv1_jack.h
  drumkv1widget_jack.h
)

set (SOURCES_JACK
  drumkv1_nsm.cpp
  drumkv1_jack.cpp
  drumkv1widget_jack.cpp
)

qt5_wrap_cpp (MOC_SOURCES_JACK ${HEADERS_JACK})


add_library (${NAME} STATIC
  ${MOC_SOURCES}
  ${SOURCES}
)

add_library (${NAME}_ui STATIC
  ${UI_SOURCES_UI}
  ${MOC_SOURCES_UI}
  ${QRC_SOURCES_UI}
  ${SOURCES_UI}
)

add_library (${NAME}_lv2 MODULE
  ${MOC_SOURCES_LV2}
  ${SOURCES_LV2}
)

add_executable (${NAME}_jack
  ${MOC_SOURCES_JACK}
  ${SOURCES_JACK}
)


set_target_properties (${NAME}       PROPERTIES CXX_STANDARD 11)
set_target_properties (${NAME}_ui    PROPERTIES CXX_STANDARD 11)
set_target_properties (${NAME}_lv2   PROPERTIES CXX_STANDARD 11)
set_target_properties (${NAME}_jack  PROPERTIES CXX_STANDARD 11)

target_link_libraries (${NAME}       PUBLIC Qt5::Core Qt5::Xml)
target_link_libraries (${NAME}_ui    PUBLIC Qt5::Widgets ${NAME})
target_link_libraries (${NAME}_lv2   PRIVATE ${NAME}_ui)
target_link_libraries (${NAME}_jack  PRIVATE ${NAME}_ui)

if (CONFIG_SNDFILE)
  target_link_libraries (${NAME} PRIVATE ${SNDFILE_LIBRARIES})
endif ()

if (CONFIG_JACK)
  target_link_libraries (${NAME}_jack PRIVATE ${JACK_LIBRARIES})
endif ()

if (CONFIG_ALSA_MIDI)
  target_link_libraries (${NAME}_jack PRIVATE ${ALSA_LIBRARIES})
endif ()

if (CONFIG_LIBLO)
  target_link_libraries (${NAME}_jack PRIVATE ${LIBLO_LIBRARIES})
endif ()


if (UNIX AND NOT APPLE AND NOT CONFIG_DEBUG)
  add_custom_command(TARGET ${NAME}_lv2  POST_BUILD
    COMMAND strip -v lib${NAME}_lv2.so)
  add_custom_command(TARGET ${NAME}_jack POST_BUILD
    COMMAND strip -v ${NAME}_jack)
endif ()


if (UNIX AND NOT APPLE)
  if (CONFIG_PREFIX MATCHES $ENV{HOME})
    set (CONFIG_LV2DIR ${CONFIG_PREFIX}/.lv2)
  else ()
    set (CONFIG_LV2DIR ${CONFIG_LIBDIR}/lv2)
  endif ()
  install (FILES ${CMAKE_CURRENT_BINARY_DIR}/lib${NAME}_lv2.so
     RENAME ${NAME}.so
     DESTINATION ${CONFIG_LV2DIR}/${NAME}.lv2)
  install (FILES ${NAME}.lv2/manifest.ttl
     ${NAME}.lv2/${NAME}.ttl
     ${NAME}.lv2/${NAME}_ui.ttl
     DESTINATION ${CONFIG_LV2DIR}/${NAME}.lv2)
  install (TARGETS ${NAME}_jack RUNTIME
     DESTINATION ${CMAKE_INSTALL_BINDIR})
  install (FILES ${NAME}.desktop
     DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
  install (FILES images/${NAME}.png
     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/apps)
  install (FILES images/${NAME}.svg
     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
  install (FILES appdata/${NAME}.appdata.xml
     DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
  install (FILES mimetypes/${NAME}.xml
     DESTINATION ${CMAKE_INSTALL_DATADIR}/mime/packages)
  install (FILES mimetypes/application-x-${NAME}-preset.png
     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/mimetypes)
  install (FILES mimetypes/application-x-${NAME}-preset.svg
     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/mimetypes)
endif ()

## drumkv1 0.3.1

=== debian/changelog ===
drumkv1 (0.3.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Fri, 08 Feb 2013 18:22:58 +0000

drumkv1 (0.3.0-1) unstable; urgency=low

  * New upstream release:
    - Dropped all SSE dummy build optimization flags as they were
      making more harm than real good, performance wise.
    - GUI layout moved from a toolbox into a stacked tab widget;
      also, a status-bar has been added at the bottom display.
    - LV2 Atom/MIDI event processing is now official, a replacement
      for the formerly deprecated LV2 Event/MIDI specification.
    - Added dirty checking also on switching from unamed presets.
    - JACK stand-alone: preset loader initialization fix.
  * Fix package description.
  * Fix Homepage.
  * Fix Vcs fields.

 -- Alessio Treglia <alessio@debian.org>  Sat, 29 Dec 2012 15:02:52 +0000

drumkv1 (0.2.0-1) unstable; urgency=low

  * Initial release. (Closes: #694054)

 -- Alessio Treglia <alessio@debian.org>  Fri, 23 Nov 2012 15:53:54 +0000

=== debian/control ===
Source: drumkv1
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 automake,
 debhelper (>= 9~),
 dh-autoreconf,
 ladspa-sdk,
 libasound2-dev,
 libjack-dev,
 libqt4-dev,
 libsndfile1-dev,
 libtool,
 libx11-dev,
 lv2-dev
Homepage: http://drumkv1.sourceforge.net/
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/drumkv1.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/drumkv1.git

Package: drumkv1
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 jackd
Provides:
 lv2-plugin
Description: old-school drum-kit sampler
 drumkv1 is an old-school all-digital drum-kit sampler
 synthesizer with stereo effects. It is provided in both
 forms of a LV2 plugin and a pure stand-alone JACK
 client with JACK-session and both JACK MIDI and ALSA
 MIDI input support.

## drumkv1 0.3.3

=== debian/changelog ===
drumkv1 (0.3.3-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Added myself as uploader

  [ Alessio Treglia ]
  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Sun, 30 Jun 2013 16:47:16 +0100

drumkv1 (0.3.2-1) unstable; urgency=low

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Sat, 02 Mar 2013 11:22:33 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>
+ Alessio Treglia <alessio@debian.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  automake,
  debhelper (>= 9~),

## drumkv1 0.3.6

=== debian/changelog ===
drumkv1 (0.3.6-3) unstable; urgency=low

  * Fixed FTBS on kfreebsd-* and hurd.
    Thanks to Steven Chamberlain <steven@pyro.eu.org>

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 29 Jan 2014 00:44:33 +0100

drumkv1 (0.3.6-2) unstable; urgency=low

  * Fixed install path.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 25 Jan 2014 10:11:58 +0100

drumkv1 (0.3.6-1) unstable; urgency=low

  * Imported Upstream version 0.3.6
  * Bump Standards.
  * Patch refreshed.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 23 Jan 2014 02:26:10 +0100

drumkv1 (0.3.5-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Tue, 08 Oct 2013 12:17:11 +0100

drumkv1 (0.3.4-1) unstable; urgency=low

  * New upstream release.
  * Fix some hardening issues.
  * Added liblo-dev as build-dep.
  * Refreshed patch.
  * Added Keywords to desktop file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 10 Sep 2013 16:34:21 +0200

=== debian/control ===
--- 
+++ 
@@ -16,9 +16,10 @@
  libsndfile1-dev,
  libtool,
  libx11-dev,
- lv2-dev
+ lv2-dev,
+ liblo-dev
 Homepage: http://drumkv1.sourceforge.net/
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/drumkv1.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/drumkv1.git

## drumkv1 0.4.1

=== debian/changelog ===
drumkv1 (0.4.1-1) unstable; urgency=low

  * New upstream release.
  * Fix syntax for Keywords entry in desktop file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 11 Apr 2014 19:21:51 +0200

drumkv1 (0.4.0-1) unstable; urgency=low

  * Imported Upstream version 0.4.0
  * Two patches removed - applied upstream.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 11 Mar 2014 13:39:20 +0100

## drumkv1 0.5.1

=== debian/changelog ===
drumkv1 (0.5.1-1) unstable; urgency=low

  * Imported Upstream version 0.5.1

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 25 Sep 2014 16:05:03 +0200

drumkv1 (0.5.0-1) unstable; urgency=low

  * Imported Upstream version 0.5.0
  * Patch refreshed.
  * Install lv2 plugin to non-multiarch dir.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 09 Aug 2014 09:30:17 +0200

## drumkv1 0.6.3

=== debian/changelog ===
drumkv1 (0.6.3-1build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 06:37:49 +0000

drumkv1 (0.6.3-1) unstable; urgency=medium

  * Imported Upstream version 0.6.3

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 11 May 2015 01:20:19 +0200

drumkv1 (0.6.2-1) unstable; urgency=medium

  * Imported Upstream version 0.6.2

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 04 May 2015 22:15:13 +0200

drumkv1 (0.6.1-1) unstable; urgency=medium

  * Imported Upstream version 0.6.1
  * Bump Standards.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 22 Mar 2015 14:59:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: drumkv1
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
@@ -19,7 +20,7 @@
  lv2-dev,
  liblo-dev
 Homepage: http://drumkv1.sourceforge.net/
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/drumkv1.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/drumkv1.git

## drumkv1 0.7.1

=== debian/changelog ===
drumkv1 (0.7.1-1) unstable; urgency=medium

  * Imported Upstream version 0.7.1
  * Refresh patches.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 03 Sep 2015 02:37:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: drumkv1
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>

=== debian/watch ===
version=3
http://sf.net/drumkv1/drumkv1-([\d.]+)\.tar\.gz

## drumkv1 0.7.5

=== debian/changelog ===
drumkv1 (0.7.5-1) unstable; urgency=medium

  * Imported Upstream version 0.7.5
  * Bump Standards.
  * Remove patch applied upstream.
  * Refresh patch.
  * Switch to qt5.
  * Fix VCS fields.
  * Fix hardening.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 16 Jun 2016 12:27:04 +0200

=== debian/control ===
--- 
+++ 
@@ -12,16 +12,17 @@
  ladspa-sdk,
  libasound2-dev,
  libjack-dev,
- libqt4-dev,
+ qtbase5-dev,
+ qttools5-dev-tools,
  libsndfile1-dev,
  libtool,
  libx11-dev,
  lv2-dev,
  liblo-dev
 Homepage: http://drumkv1.sourceforge.net/
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/drumkv1.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/drumkv1.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/drumkv1.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/drumkv1.git
 
 Package: drumkv1
 Architecture: any

## drumkv1 0.8.0

=== debian/changelog ===
drumkv1 (0.8.0-1) unstable; urgency=medium

  * Patch forwarded.
  * New upstream version 0.8.0
  * Set dh/compat 10.
  * Update copyright file.
  * Patches refreshed/removed.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 21 Nov 2016 10:29:08 +0100

drumkv1 (0.7.6-4) unstable; urgency=medium

  * Fixed version in Breaks/Replaces clause (Closes: #839135)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 29 Sep 2016 21:35:48 +0200

drumkv1 (0.7.6-3) unstable; urgency=medium

  * Install icons and mimetypes
    * Fixed description of mimetype
  * Fixed wording in long description of drumkv1-lv2
  * Added continuation semicolon in B-D
  * Added myself to uploaders

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 28 Sep 2016 11:39:35 +0200

drumkv1 (0.7.6-2) unstable; urgency=medium

  * Fix Depends: fields.
  * Add Breaks: Replaces: fields. (Closes: #839044)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 28 Sep 2016 11:11:02 +0200

drumkv1 (0.7.6-1) unstable; urgency=medium

  * New upstream version 0.7.6
  * Patches refreshed.
  * Split package.
  * Rename and install man page.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 20 Sep 2016 02:54:18 +0200

=== debian/control ===
Source: drumkv1
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 automake,
 debhelper (>= 10~),
 dh-autoreconf,
 ladspa-sdk,
 libasound2-dev,
 libjack-dev,
 qtbase5-dev,
 qttools5-dev-tools,
 libsndfile1-dev,
 libtool,
 libx11-dev,
 lv2-dev,
 liblo-dev,
Homepage: http://drumkv1.sourceforge.net/
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/drumkv1.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/drumkv1.git

Package: drumkv1
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 drumkv1-common (= ${binary:Version}),
Recommends:
 jackd
Description: old-school drum-kit sampler - standalone
 drumkv1 is an old-school all-digital drum-kit sampler
 synthesizer with stereo effects. It is provided in both
 forms of a LV2 plugin and a pure stand-alone JACK
 client with JACK-session and both JACK MIDI and ALSA
 MIDI input support.
 .
 This package provides the standalone app.

Package: drumkv1-lv2
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 drumkv1-common (= ${binary:Version}),
Replaces: drumkv1 (<< 0.7.6)
Breaks: drumkv1 (<< 0.7.6)
Provides:
 lv2-plugin
Description: old-school drum-kit sampler - lv2-plugin
 drumkv1 is an old-school all-digital drum-kit sampler
 synthesizer with stereo effects. It is provided in both
 forms of a LV2 plugin and a pure stand-alone JACK
 client with JACK-session and both JACK MIDI and ALSA
 MIDI input support.
 .
 This package provides the LV2 plugin.

Package: drumkv1-common
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Replaces: drumkv1 (<< 0.7.6)
Breaks: drumkv1 (<< 0.7.6)
Description: old-school drum-kit sampler - common files
 drumkv1 is an old-school all-digital drum-kit sampler
 synthesizer with stereo effects. It is provided in both
 forms of a LV2 plugin and a pure stand-alone JACK
 client with JACK-session and both JACK MIDI and ALSA
 MIDI input support.
 .
 This package provides files shared by both the LV2 plugin and the standalone
 application.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

EXTRA_CONFIGURE_ARGS = \
 --enable-jack \
 --enable-jack-midi \
 --enable-jack-session \
 --enable-lv2

export QTDIR=/usr/share/qt5
export QT_SELECT=qt5

ifeq ($(DEB_HOST_ARCH_OS),linux)
EXTRA_CONFIGURE_ARGS += --enable-alsa-midi
else
EXTRA_CONFIGURE_ARGS += --disable-alsa-midi
endif

ifeq ($(DEB_HOST_ARCH_CPU),amd64)
EXTRA_CONFIGURE_ARGS += --enable-sse
endif

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRA_CONFIGURE_ARGS)

override_dh_auto_install:
	cp $(CURDIR)/drumkv1.1 $(CURDIR)/drumkv1_jack.1
	dh_auto_install
	cp $(CURDIR)/debian/tmp/usr/share/mime/packages/drumkv1.xml $(CURDIR)/debian/drumkv1-common.sharedmimeinfo

override_dh_clean:
	dh_clean
	rm -f $(CURDIR)/debian/drumkv1-common.sharedmimeinfo
	rm -f $(CURDIR)/drumkv1_jack.1

## drumkv1 0.8.4

=== debian/changelog ===
drumkv1 (0.8.4-1) unstable; urgency=medium

  * New upstream version 0.8.4
  * Bump Standards.
  * Update Vcs - use git instead of cgit.
  * Introduce postclone.sh script to ignore .pc/ dir.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 23 Aug 2017 11:20:52 +0200

drumkv1 (0.8.3-1) unstable; urgency=medium

  * New upstream version 0.8.3
  * Avoid useless linking.
  * Remove useless flags.
  * Remove dh_autoreconf.
  * Sign tags.
  * Update copyright file.
  * Fix dh version.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 27 Jun 2017 15:06:44 +0200

drumkv1 (0.8.2-1) unstable; urgency=medium

  * New upstream version 0.8.2
  * Dropped reproducible-build patch (no longer needed)
  * Bumped standards version to 4.0.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 20 Jun 2017 11:04:39 +0200

drumkv1 (0.8.0-3) unstable; urgency=medium

  * Patch for reproducible build.
    Thanks to Chris Lamb <lamby@debian.org> (Closes: #860213)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 19 Jun 2017 10:57:49 +0200

drumkv1 (0.8.0-2) unstable; urgency=medium

  * Team upload
  * Drop myself from the Uploaders field

 -- Alessio Treglia <alessio@debian.org>  Sun, 29 Jan 2017 13:51:33 +0000

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,11 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  automake,
- debhelper (>= 10~),
- dh-autoreconf,
+ debhelper (>= 10),
  ladspa-sdk,
  libasound2-dev,
  libjack-dev,
@@ -21,9 +19,9 @@
  lv2-dev,
  liblo-dev,
 Homepage: http://drumkv1.sourceforge.net/
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/drumkv1.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/drumkv1.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/drumkv1.git
 
 Package: drumkv1
 Architecture: any

## drumkv1 0.8.6

=== debian/changelog ===
drumkv1 (0.8.6-1) unstable; urgency=medium

  * New upstream version 0.8.6
  * Use secure uri in copyright file.
  * Bump Standards.
  * Set dh/compat 11.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 28 Dec 2017 22:28:37 +0100

drumkv1 (0.8.5-1) unstable; urgency=medium

  * New upstream version 0.8.5
  * Use secure uri in watch file.
  * Bump Standards.
  * Update Homepage to avoid redirecting.
  * Fix install of metainfo files.
  * Improve dh version.
  * Patch refreshed.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 02 Nov 2017 15:44:46 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  automake,
- debhelper (>= 10),
+ debhelper (>= 11~),
  ladspa-sdk,
  libasound2-dev,
  libjack-dev,
@@ -18,8 +18,8 @@
  libx11-dev,
  lv2-dev,
  liblo-dev,
-Homepage: http://drumkv1.sourceforge.net/
-Standards-Version: 4.1.0
+Homepage: https://drumkv1.sourceforge.io/
+Standards-Version: 4.1.2
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/drumkv1.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/drumkv1.git

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
@@ -19,12 +21,8 @@
 EXTRA_CONFIGURE_ARGS += --disable-alsa-midi
 endif
 
-ifeq ($(DEB_HOST_ARCH_CPU),amd64)
-EXTRA_CONFIGURE_ARGS += --enable-sse
-endif
-
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(EXTRA_CONFIGURE_ARGS)

=== debian/watch ===
version=3
https://sf.net/drumkv1/drumkv1-([\d.]+)\.tar\.gz

## drumkv1 0.9.0

=== debian/changelog ===
drumkv1 (0.9.0-1) unstable; urgency=medium

  * New upstream version 0.9.0

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ IOhannes m zmölnig ]
  * Refreshed patches
  * Updated d/copyright
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 21 Mar 2018 23:52:46 +0100

=== debian/control ===
--- 
+++ 
@@ -19,9 +19,9 @@
  lv2-dev,
  liblo-dev,
 Homepage: https://drumkv1.sourceforge.io/
-Standards-Version: 4.1.2
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/drumkv1.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/drumkv1.git
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/multimedia-team/drumkv1.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/drumkv1
 
 Package: drumkv1
 Architecture: any

## drumkv1 0.9.1

=== debian/changelog ===
drumkv1 (0.9.1-1) unstable; urgency=medium

  * New upstream version 0.9.1

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ IOhannes m zmölnig ]
  * Bumped standards version to 4.1.4

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 02 Jul 2018 13:16:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: drumkv1
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Jaromír Mikeš <mira.mikes@seznam.cz>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
@@ -19,7 +19,7 @@
  lv2-dev,
  liblo-dev,
 Homepage: https://drumkv1.sourceforge.io/
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Vcs-Git: https://salsa.debian.org/multimedia-team/drumkv1.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/drumkv1

## drumkv1 0.9.3

=== debian/changelog ===
drumkv1 (0.9.3-1) unstable; urgency=medium

  * New upstream version 0.9.3
  * Declare that "root" is not required for building this package
  * Bumped standards to 4.2.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 14 Nov 2018 11:45:23 +0100

drumkv1 (0.9.2-1) unstable; urgency=medium

  * New upstream version 0.9.2
    * Refreshed patches
  * Added 'licensecheck' target to d/rules and generated d/copyright_hints
  * Bumped standards version to 4.2.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 25 Aug 2018 20:50:41 +0200

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,9 @@
  libx11-dev,
  lv2-dev,
  liblo-dev,
+Rules-Requires-Root: no
+Standards-Version: 4.2.1
 Homepage: https://drumkv1.sourceforge.io/
-Standards-Version: 4.1.4
 Vcs-Git: https://salsa.debian.org/multimedia-team/drumkv1.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/drumkv1

## drumkv1 0.9.4

=== debian/changelog ===
drumkv1 (0.9.4-1) unstable; urgency=medium

  * New upstream version 0.9.4
    * Refreshed patches.
  * Bumped standards version to 4.3.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 18 Jan 2019 23:59:28 +0100

## drumkv1 0.9.4.1+rb2

=== debian/changelog ===
drumkv1 (0.9.4.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>  Wed, 27 Jan 2021 16:22:47 +0800

## drumkv1 0.9.12

=== debian/changelog ===
drumkv1 (0.9.12-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:13:08 +0100

drumkv1 (0.9.12-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.9.12
  * debian/control:
    + Add libjack-jackd2-dev as optional build dependency
    + Remove obsolete ${shlibs:Depends} from drumkv1-common
  * debian/copyright:
    + Add FSFAP license
    + Update years and http to https
  * debian/drumkv1-common.install: Drop deprecated so.* files, only lv2 now
  * debian/drumkv1-lv2.install: Fix install path
  * debian/drumkv1.manpages: Add french translation
  * debian/drumkv1.mime: Fix quoted-placeholder-in-mailcap-entry
    (Thanks Sebastian!)
  * debian/patches/0004-fix_install_path.patch: Drop, obsolete

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 10 Jan 2020 22:32:57 +0100

drumkv1 (0.9.10-1) unstable; urgency=medium

  * New upstream version 0.9.10

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

  [ IOhannes m zmölnig ]
  * Refresh patches
  * Install helper-libraries to multi-arch location

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 23 Oct 2019 16:43:00 +0200

drumkv1 (0.9.9-1) unstable; urgency=medium

  * New upstream version 0.9.9

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * Bump Standards-Version to 4.4.0

  [ IOhannes m zmölnig ]
  * Refresh patches
  * Drop B-D on automake
  * Bump dh compat to 12

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 16 Sep 2019 11:24:04 +0200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,10 @@
  Jaromír Mikeš <mira.mikes@seznam.cz>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- automake,
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  ladspa-sdk,
  libasound2-dev,
- libjack-dev,
+ libjack-dev | libjack-jackd2-dev,
  qtbase5-dev,
  qttools5-dev-tools,
  libsndfile1-dev,
@@ -19,7 +18,7 @@
  lv2-dev,
  liblo-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: https://drumkv1.sourceforge.io/
 Vcs-Git: https://salsa.debian.org/multimedia-team/drumkv1.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/drumkv1
@@ -64,7 +63,6 @@
 Architecture: any
 Depends:
  ${misc:Depends},
- ${shlibs:Depends},
 Replaces: drumkv1 (<< 0.7.6)
 Breaks: drumkv1 (<< 0.7.6)
 Description: old-school drum-kit sampler - common files

=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,7 @@
 
 override_dh_auto_install:
 	cp $(CURDIR)/drumkv1.1 $(CURDIR)/drumkv1_jack.1
+	cp $(CURDIR)/drumkv1.fr.1 $(CURDIR)/drumkv1_jack.fr.1
 	dh_auto_install
 	cp $(CURDIR)/debian/tmp/usr/share/mime/packages/drumkv1.xml $(CURDIR)/debian/drumkv1-common.sharedmimeinfo
 
@@ -36,3 +37,10 @@
 	dh_clean
 	rm -f $(CURDIR)/debian/drumkv1-common.sharedmimeinfo
 	rm -f $(CURDIR)/drumkv1_jack.1
+	rm -f $(CURDIR)/drumkv1_jack.fr.1
+
+licensecheck:
+	licensecheck --deb-machine -r * \
+		> debian/copyright_newhints
+	cmp debian/copyright_hints debian/copyright_newhints \
+		&& rm debian/copyright_newhints

## drumkv1 0.9.17

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 cmake_minimum_required(VERSION 3.1)
 
-set (VERSION "0.9.12")
+set (VERSION "0.9.17")
 
 set (CONFIG_VERSION ${VERSION})
 execute_process (
@@ -85,6 +85,9 @@
 
 option (CONFIG_LV2_PATCH "Enable LV2 plug-in Patch support (default=yes)" 1)
 
+option (CONFIG_LV2_PORT_EVENT "Enable LV2 plug-in Port-event support (EXPERIMENTAL) (default=yes)" 1)
+
+
 # Enable liblo availability.
 option (CONFIG_LIBLO "Enable liblo interface (default=yes)" 1)
 
@@ -306,7 +309,8 @@
 show_option ("  LV2 plug-in UI Resize interface support  . . . . ." CONFIG_LV2_UI_RESIZE)
 show_option ("  LV2 plug-in Programs support . . . . . . . . . . ." CONFIG_LV2_PROGRAMS)
 show_option ("  LV2 plug-in Patch support  . . . . . . . . . . . ." CONFIG_LV2_PATCH)
+show_option ("  LV2 plug-in Port-event support (EXPERIMENTAL)  . ." CONFIG_LV2_PORT_EVENT)
 show_option ("  OSC service support (liblo)  . . . . . . . . . . ." CONFIG_LIBLO)
-show_option ("  NSM (Non Session Management) support . . . . . . ." CONFIG_NSM)
+show_option ("  NSM (New Session Management) support . . . . . . ." CONFIG_NSM)
 message   ("\n  Install prefix . . . . . . . . . . . . . . . . . .: ${CMAKE_INSTALL_PREFIX}")
 message   ("\nNow type 'make', followed by 'make install' as root.\n")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -86,6 +86,7 @@
 set (FORMS_UI
   drumkv1widget.ui
   drumkv1widget_control.ui
+  drumkv1widget_palette.ui
   drumkv1widget_config.ui
 )
 
@@ -151,10 +152,10 @@
 )
 
 
-set_target_properties (${NAME}       PROPERTIES CXX_STANDARD 11)
-set_target_properties (${NAME}_ui    PROPERTIES CXX_STANDARD 11)
-set_target_properties (${NAME}_lv2   PROPERTIES CXX_STANDARD 11)
-set_target_properties (${NAME}_jack  PROPERTIES CXX_STANDARD 11)
+set_target_properties (${NAME}       PROPERTIES CXX_STANDARD 17)
+set_target_properties (${NAME}_ui    PROPERTIES CXX_STANDARD 17)
+set_target_properties (${NAME}_lv2   PROPERTIES CXX_STANDARD 17)
+set_target_properties (${NAME}_jack  PROPERTIES CXX_STANDARD 17)
 
 target_link_libraries (${NAME}       PUBLIC Qt5::Core Qt5::Xml)
 target_link_libraries (${NAME}_ui    PUBLIC Qt5::Widgets ${NAME})
@@ -180,9 +181,9 @@
 
 if (UNIX AND NOT APPLE AND NOT CONFIG_DEBUG)
   add_custom_command(TARGET ${NAME}_lv2  POST_BUILD
-    COMMAND strip -v lib${NAME}_lv2.so)
+    COMMAND strip lib${NAME}_lv2.so)
   add_custom_command(TARGET ${NAME}_jack POST_BUILD
-    COMMAND strip -v ${NAME}_jack)
+    COMMAND strip ${NAME}_jack)
 endif ()

=== debian/changelog ===
drumkv1 (0.9.17-1) unstable; urgency=medium

  * New upstream version 0.9.17
  * Add a simple autopkgtest

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 09 Sep 2020 22:02:48 +0200

drumkv1 (0.9.16-1) unstable; urgency=medium

  * New upstream version 0.9.16

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 09 Aug 2020 17:13:05 +0200

drumkv1 (0.9.15-1) unstable; urgency=medium

  * New upstream version 0.9.15
  * Mark drumkv1-common as Multi-Arch: foreign
  * Change drumkv1-common Architecture to all
  * Make drumkv1 and drumkv1-lv2 depend on source:Version and not binary

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 13 Jul 2020 21:33:53 +0200

drumkv1 (0.9.14-1) unstable; urgency=medium

  * New upstream version 0.9.14
  * Install usr/share/mime/packages
  * Update cross build patch
  * Bump dh-compat to 13
  * Add false positives to d/not-installed
  * d/rules: Remove obsolete linker flag

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 09 May 2020 23:23:52 +0200

drumkv1 (0.9.13-1) unstable; urgency=medium

  * New upstream version 0.9.13
  * Update cross build patch
  * d/copyright: Update copyright year
  * d/upstream/metadata: Add Archive and remove name

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 29 Mar 2020 22:47:36 +0200

drumkv1 (0.9.12-2) unstable; urgency=medium

  [ Dennis Braun ]
  * Use QMAKE_STRIP instead of hardcode strip (Thanks Helmut Grohne!)
  * Bump S-V to 4.5.0
  * Add me as uploader
  * Add d/upstream/metadata

  [ Sebastian Ramacher ]
  * debian/rules: Use dpkg's architecture.mk

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 15 Mar 2020 12:16:34 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
+ Dennis Braun <d_braun@kabelmail.de>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
+ IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  ladspa-sdk,
  libasound2-dev,
  libjack-dev | libjack-jackd2-dev,
@@ -18,7 +19,7 @@
  lv2-dev,
  liblo-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://drumkv1.sourceforge.io/
 Vcs-Git: https://salsa.debian.org/multimedia-team/drumkv1.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/drumkv1
@@ -28,7 +29,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- drumkv1-common (= ${binary:Version}),
+ drumkv1-common (= ${source:Version}),
 Recommends:
  jackd
 Description: old-school drum-kit sampler - standalone
@@ -45,7 +46,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- drumkv1-common (= ${binary:Version}),
+ drumkv1-common (= ${source:Version}),
 Replaces: drumkv1 (<< 0.7.6)
 Breaks: drumkv1 (<< 0.7.6)
 Provides:
@@ -60,7 +61,8 @@
  This package provides the LV2 plugin.
 
 Package: drumkv1-common
-Architecture: any
+Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
 Replaces: drumkv1 (<< 0.7.6)

## drumkv1 0.9.18

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 cmake_minimum_required(VERSION 3.1)
 
-set (VERSION "0.9.17")
+set (VERSION "0.9.18")
 
 set (CONFIG_VERSION ${VERSION})
 execute_process (
@@ -12,8 +12,8 @@
   OUTPUT_STRIP_TRAILING_WHITESPACE)
 if (GIT_DESCRIBE_RESULT EQUAL 0)
   set (VERSION "${GIT_DESCRIBE_OUTPUT}")
-  string (REGEX REPLACE "^[^_]+"   "" VERSION "${VERSION}")
-  string (REGEX REPLACE "^[_vV]+"  "" VERSION "${VERSION}")
+  string (REGEX REPLACE "^[^0-9]+" "" VERSION "${VERSION}")
+  string (REGEX REPLACE "^[v1_]+"  "" VERSION "${VERSION}")
   string (REGEX REPLACE "-g"   "git." VERSION "${VERSION}")
   string (REGEX REPLACE "[_|-]+"  "." VERSION "${VERSION}")
   execute_process (

=== debian/changelog ===
drumkv1 (0.9.18-2) unstable; urgency=medium

  * Team upload
  * debian/control: Bump Standards-Version
  * debian/tests/control: Re-add allow-stderr for stderr output

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 13 Dec 2020 15:02:18 +0100

drumkv1 (0.9.18-1) unstable; urgency=medium

  * New upstream version 0.9.18
  * Add myself to the d/ section in d/copyright
  * Update d/not-installed
  * d/tests/control: Remove allow-stderr and add superficial to Restrictions

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 28 Oct 2020 20:11:55 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,8 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/architecture.mk
+
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
-
-DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
 EXTRA_CONFIGURE_ARGS = \
  --enable-jack \
